Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.openxml4j.opc
Enum TargetMode

    java.lang.Object
      java.lang.Enum<TargetMode>
          org.apache.poi.openxml4j.opc.TargetMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TargetMode>

    public enum TargetMode

extends java.lang.Enum<TargetMode>

Specifies whether the target of a PackageRelationship is inside or outside a Package.

Version:
  1.0
Author:
  Julien Chable

Enum Constant Summary
`EXTERNAL` The relationship references a part that is inside the package.
`INTERNAL` The relationship references a resource that is external to the package.

Method Summary
`static TargetMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TargetMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERNAL

    public static final TargetMode INTERNAL

  The relationship references a resource that is external to the package.

### EXTERNAL

    public static final TargetMode EXTERNAL

  The relationship references a part that is inside the package.

Method Detail

### values

    public static TargetMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TargetMode c : TargetMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TargetMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.